#pragma once

#include "CoreMinimal.h"
#include "Templates/SubclassOf.h"
#include "LockerJumpScarePropStruct.generated.h"

class AActor;

USTRUCT(BlueprintType)
struct FLockerJumpScarePropStruct
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<AActor> PropActorClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName SocketName;

public:
	DBDGAMEPLAY_API FLockerJumpScarePropStruct();
};

FORCEINLINE uint32 GetTypeHash(const FLockerJumpScarePropStruct) { return 0; }
